libraw1394: version 2.0.4
Prev |  | Next

# raw1394_echo_request

## Name

raw1394_echo_request -- send an echo request to the driver

## Synopsis

``int raw1394_echo_request` (raw1394handle_t handle, quadlet_t data);`

## Arguments

`handle`

  libraw1394 handle

`data`

  arbitrary data; raw1394_loop_iterate will return it

## Description

the driver then send back the same request. raw1394_loop_iterate will return data as return value, when it processes the echo.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_arm_get_buf | Up | raw1394_wake_up